Loading...
Searching...
No Matches
wayland::server::zwp_text_input_manager_v3_t Class Reference

text input manager More...

`#include <wayland-server-protocol-unstable.hpp>`

## Public Member Functions

std::function< void()> & | on_destroy ()
| Destroy the wp_text_input_manager.
std::function< void(zwp_text_input_v3_t, seat_t)> & | on_get_text_input ()
| create a new text input object
bool | proxy_has_object () const
| Check whether this wrapper actually wraps an object.
void | post_no_memory () const
uint32_t | get_id () const
client_t | get_client () const
unsigned int | get_version () const
std::string | get_class ()

## Detailed Description

text input manager

A factory for text-input objects. This object is a global singleton.

Definition at line 7460 of file wayland-server-protocol-unstable.hpp.

## Member Function Documentation

## get_class()

std::string wayland::server::resource_t::get_class | ( |  | ) |

inherited

Retrieve the interface name (class) of a resource object.

Returns
  Interface name of the resource object.

## get_client()

client_t wayland::server::resource_t::get_client | ( |  | ) | const

inherited

Get the associated client

Returns
  the client that owns the resource.

## get_id()

uint32_t wayland::server::resource_t::get_id | ( |  | ) | const

inherited

Get the internal ID of the resource

Returns
  the internal ID of the resource

## get_version()

unsigned int wayland::server::resource_t::get_version | ( |  | ) | const

inherited

Get interface version

Returns
  Interface version this resource has been constructed with.

## on_destroy()

std::function< void()> & zwp_text_input_manager_v3_t::on_destroy | ( |  | ) |

Destroy the wp_text_input_manager.

Destroy the wp_text_input_manager object.

Definition at line 7377 of file wayland-server-protocol-unstable.cpp.

## on_get_text_input()

std::function< void(zwp_text_input_v3_t, seat_t)> & zwp_text_input_manager_v3_t::on_get_text_input | ( |  | ) |

create a new text input object

Parameters

  id |
  seat |

Creates a new text-input object for a given seat.

Definition at line 7383 of file wayland-server-protocol-unstable.cpp.

## post_no_memory()

void wayland::server::resource_t::post_no_memory | ( |  | ) | const

inherited

Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

## proxy_has_object()

bool wayland::server::resource_t::proxy_has_object | ( |  | ) | const

inherited

Check whether this wrapper actually wraps an object.

Returns
  true if there is an underlying object, false if this wrapper is empty

The documentation for this class was generated from the following files:

- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.hpp
- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.cpp